# General settings
WG_HOST=39.33779.xyz
PASSWORD=c0bba9d2-7207-4c18-8133-9c3b01c7514c
TZ=Europe/London
WEBPASSWORD=c0bba9d2-7207-4c18-8133-9c3b01c7514c
PIHOLE=C759tw1j

# Nginx Proxy Manager settings
NGINX_HTTP_PORT=80
NGINX_HTTPS_PORT=443
NGINX_ADMIN_PORT=81
GITLAB_ROOT_PASSWORD=Shan33779488@!
POSTGRES_PASSWORD=Shan33779488@!
SMTP_PASSWORD=Shan33779488@!
# WireGuard settings
WG_UDP_PORT=51820
WG_TCP_PORT=51821

# Homepage service settings
HOMEPAGE_PORT=3000

# gitlab
GITLAB_EXTERNAL_URL=https://41.33779.xyz
DB_NAME=gitlabhq_production
GITLAB_ROOT=KGdB3tMltcRMl/JghwO/jYM5xbomWSziDjcW2pVh/H0=
DB_USER=gitlab
DB_PASS=a656c343-5deb-4355-80c2-c6ad7e5bbf93
POSTGRES_VERSION=latest
# gitlab Email configuration
EMAIL_ENABLED=true
SMTP_HOST=mail.zeshan.uk
SMTP_PORT=465
SMTP_USER=tariq@zeshan.uk
SMTP_PASS=Shan33779488@!
SMTP_DOMAIN=zeshan.uk
SMTP_AUTHENTICATION=login
SMTP_ENABLE_STARTTLS_AUTO=true
SMTP_TLS=true
SMTP_OPENSSL_VERIFY_MODE=none
GITLAB_EMAIL_FROM=tariq@zeshan.uk
GITLAB_EMAIL_REPLY_TO=noreply@zeshan.uk
HOSTBRR=^;B*3Al+w.5{
SMTP_ADDRESS=smtp.example.com
SMTP_PORT=587
SMTP_USER_NAME=smtp_user@example.com
SMTP_PASSWORD=smtp_password
SMTP_DOMAIN=example.com

# MariaDB settings for Nextcloud
MYSQL_ROOT_PASSWORD=ce5ef083-99c2-4a8d-bbaa-47728ea144b1
MYSQL_PASSWORD=d4808430-7aab-4637-b883-3a6c757fde0f
MYSQL_DATABASE=nextcloud
MYSQL_USER=nextcloud
ex
# Nextcloud settings
TRUSTED_PROXIES=ncloud.zeshan.uk
OVERWRITECLIURL=https://ncloud.zeshan.uk
OVERWRITEPROTOCOL=https
NEXTCLOUD_TRUSTED_DOMAINS=ncloud.zeshan.uk
OVERWRITEHOST=ncloud.zeshan.uk

# code-server
CODE_SERVER_PASSWORD=b681e77c-9ac8-480c-a1dd-1f5c5542f4fd
CODE_SERVER_SUDO_PASSWORD=b681e77c-9ac8-480c-a1dd-1f5c5542f4fd
PROXY_DOMAIN=code.zeshan.uk
# Adjust the workspace path as needed
WORKSPACE_PATH=/mnt/data/code-server/workspace
CODE_SERVER_CONFIF_PATH=/mnt/data/code-server/config